SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- c
- d
- f
- g
- m
- n
- o
- p
- r
- s
- u
- v
- x

### - _ -

- _ : getopt.c
- _CRT_SECURE_NO_WARNINGS : rs232-vcc.cpp
- _NO_PROTO : getopt.c
- _USE_MATH_DEFINES : demo-benchmark.cpp , sdh.cpp , util.cpp

### - c -

- CAN_ESD_RXQUEUESIZE : canserial-esd.h
- CAN_ESD_TXQUEUESIZE : canserial-esd.h

### - d -

- DBG : canserial-esd.cpp , canserial-peak.cpp , rs232-vcc.cpp , tcpserial.cpp , rs232-cygwin.cpp
- DEFINE_TO_CASECOMMAND : util.h
- DEFINE_TO_CASECOMMAND_MSG : util.h
- DEMO_BENCHMARK_USE_COMBINED_SET_GET : demo-benchmark.cpp
- DSA_DEFAULT_TCP_PORT : sdhoptions.h
- DSA_MAX_PREAMBLE_SEARCH : dsa.h

### - f -

- FIRMWARE_RELEASE_RECOMMENDED : release.h

### - g -

- GETOPT_INTERFACE_VERSION : getopt.c , getopt1.c

### - m -

- M_CMSG_MSG : canserial-peak.cpp

### - n -

- NAMESPACE_SDH_END : sdhlibrary_settings.h
- NAMESPACE_SDH_START : sdhlibrary_settings.h
- no_argument : getopt.h
- NONOPTION_P : getopt.c
- NS_SDH : sdhlibrary_settings.h
- NULL : getopt1.c

### - o -

- optional_argument : getopt.h

### - p -

- PRINT_MEMBER : dsa.cpp
- PRINT_MEMBER_HEX : dsa.cpp
- PROJECT_COPYRIGHT : release.h
- PROJECT_DATE : release.h
- PROJECT_NAME : release.h
- PROJECT_RELEASE : release.h

### - r -

- required_argument : getopt.h

### - s -

- SDH__attribute__ : sdh_command_codes.h , sdh_return_codes.h
- SDH_ASSERT_TYPESIZES : basisdef.h
- SDH_CANSERIAL_ESD_DEBUG : canserial-esd.cpp
- SDH_CANSERIAL_PEAK_DEBUG : canserial-peak.cpp
- SDH_DEFAULT_TCP_ADR : sdhoptions.h
- SDH_DEFAULT_TCP_PORT : sdhoptions.h
- SDH_RS232_CYGWIN_DEBUG : rs232-cygwin.cpp
- SDH_RS232_VCC_ASYNC : rs232-vcc.h
- SDH_RS232_VCC_DEBUG : rs232-vcc.cpp
- SDH_TCP_DEBUG : tcpserial.cpp
- SDH_USE_BINARY_COMMUNICATION : sdhlibrary_settings.h
- SDH_USE_NAMESPACE : sdhlibrary_settings.h
- SDH_USE_VCC : sdh_return_codes.h , sdh_command_codes.h
- SDHUSAGE_DEFAULT : sdhoptions.h
- STRINGIFY : sdhoptions.cpp
- SWAP_FLAGS : getopt.c

### - u -

- USE_CMD_TEST : sdh_command_codes.h
- USE_HANDLE : canserial-peak.cpp
- USE_HANDLES : canserial-peak.cpp
- USING_NAMESPACE_SDH : sdhlibrary_settings.h

### - v -

- VAL : dbg.h
- VAR : dbg.h

### - x -

- XSTRINGIFY : sdhoptions.cpp